Subject: Re: bug#36922: [PATCH] Add defalias toolbar-mode for tool-bar-mode

From: Stefan Kangas <[email-masked]>
Date: Sun, 8 Sep 2019 21:40:41 +0200

Stefan Kangas <[email-masked]> writes:

> Drew Adams <[email-masked]> writes:
> > > I suggest to introduce a new (defalias 'toolbar-mode 'tool-bar-mode) to
> > > accommodate users who are used to either spelling.
> >
> > FWIW, I disagree that we should do this.
> >
> > We should pick one name and try to stick with it.
>
> I agree that we should try to be consistent.
>
> > That's bad enough.  Now imagine if we started aliasing
> > all of those.  And toolbar and filename are just the
> > tip of the iceberg.
>
> Right.  But I'm not suggesting to alias all of them.  I suggest to
> make an alias only for one common command.  There already exists
> several such convenience aliases in Emacs.
>
> I guess one could argue that it's a slippery slope, and I think there
> is some merit to that.  In my opinion, the solution is to be selective
> about where to add such aliases.

That was one month ago.  It would be good if we could clarify what to
do here: apply my patch or close this as wontfix?

It would be a nice addition for my usage, but I'm not married to the
idea if no one else likes it.

Best regards,
Stefan Kangas